import 'wallet.dart';

/// The result of a wallet creation operation.
///
/// Returned by [Capsule.createWallet].
class CreateWalletResult {
  CreateWalletResult({required this.wallet, required this.recoveryShare});

  /// The created wallet.
  final Wallet wallet;

  /// The recovery key share for the wallet, in hex format.
  final String recoveryShare;
}
